org.eclipse.emf.facet.widgets.celleditors.modelCellEditor

## Interface ModelCellEditorPackage

    public interface ModelCellEditorPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ModelCellEditorFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `ModelCellEditorPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static int` `ABSTRACT_MODEL_CELL_EDITOR` The meta object id for the ' `Abstract Model Cell Editor`' class.
`static int` `ABSTRACT_MODEL_CELL_EDITOR__CELL_ID` The feature id for the 'Cell Id' attribute.
`static int` `ABSTRACT_MODEL_CELL_EDITOR__CELL_TYPE` The feature id for the 'Cell Type' reference.
`static int` `ABSTRACT_MODEL_CELL_EDITOR_FEATURE_COUNT` The number of structural features of the ' Abstract Model Cell Editor' class.
`static int` `BASIC_CELL_EDITOR` The meta object id for the ' `Basic Cell Editor`' class.
`static int` `BASIC_CELL_EDITOR__BASIC_CELL_EDITOR_IMPL` The feature id for the 'Basic Cell Editor Impl' attribute.
`static int` `BASIC_CELL_EDITOR__CELL_ID` The feature id for the 'Cell Id' attribute.
`static int` `BASIC_CELL_EDITOR__CELL_TYPE` The feature id for the 'Cell Type' reference.
`static int` `BASIC_CELL_EDITOR_FEATURE_COUNT` The number of structural features of the 'Basic Cell Editor' class.
`static ModelCellEditorPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `MODEL_CELL_EDITOR_DECLARATIONS` The meta object id for the ' `Declarations`' class.
`static int` `MODEL_CELL_EDITOR_DECLARATIONS__MODEL_CELL_EDITORS` The feature id for the 'Model Cell Editors' containment reference list.
`static int` `MODEL_CELL_EDITOR_DECLARATIONS_FEATURE_COUNT` The number of structural features of the 'Declarations' class.
`static int` `NARY_FEATURE_CELL_EDITOR` The meta object id for the ' `Nary Feature Cell Editor`' class.
`static int` `NARY_FEATURE_CELL_EDITOR__CELL_ID` The feature id for the 'Cell Id' attribute.
`static int` `NARY_FEATURE_CELL_EDITOR__CELL_TYPE` The feature id for the 'Cell Type' reference.
`static int` `NARY_FEATURE_CELL_EDITOR__NARY_FEATURE_CELL_EDITOR_IMPL` The feature id for the 'Nary Feature Cell Editor Impl' attribute.
`static int` `NARY_FEATURE_CELL_EDITOR_FEATURE_COUNT` The number of structural features of the ' Nary Feature Cell Editor' class.
`static int` `UNARY_REFERENCE_CELL_EDITOR` The meta object id for the ' `Unary Reference Cell Editor`' class.
`static int` `UNARY_REFERENCE_CELL_EDITOR__CELL_ID` The feature id for the 'Cell Id' attribute.
`static int` `UNARY_REFERENCE_CELL_EDITOR__CELL_TYPE` The feature id for the 'Cell Type' reference.
`static int` `UNARY_REFERENCE_CELL_EDITOR__UNARY_REFERENCE_CELL_EDITOR_IMPL` The feature id for the 'Unary Reference Cell Editor Impl' attribute.
`static int` `UNARY_REFERENCE_CELL_EDITOR_FEATURE_COUNT` The number of structural features of the ' Unary Reference Cell Editor' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`EAttribute` `getAbstractModelCellEditor_CellId()` Returns the meta object for the attribute ' `Cell Id`'.
`EReference` `getAbstractModelCellEditor_CellType()` Returns the meta object for the reference ' `Cell Type`'.
`EClass` `getAbstractModelCellEditor()` Returns the meta object for class ' `Abstract Model Cell Editor`'.
`EAttribute` `getBasicCellEditor_BasicCellEditorImpl()` Returns the meta object for the attribute ' `Basic Cell Editor Impl`'.
`EClass` `getBasicCellEditor()` Returns the meta object for class ' `Basic Cell Editor`'.
`EReference` `getModelCellEditorDeclarations_ModelCellEditors()` Returns the meta object for the containment reference list ' `Model Cell Editors`'.
`EClass` `getModelCellEditorDeclarations()` Returns the meta object for class ' `Declarations`'.
`ModelCellEditorFactory` `getModelCellEditorFactory()` Returns the factory that creates the instances of the model.
`EAttribute` `getNaryFeatureCellEditor_NaryFeatureCellEditorImpl()` Returns the meta object for the attribute ' `Nary Feature Cell Editor Impl`'.
`EClass` `getNaryFeatureCellEditor()` Returns the meta object for class ' `Nary Feature Cell Editor`'.
`EAttribute` `getUnaryReferenceCellEditor_UnaryReferenceCellEditorImpl()` Returns the meta object for the attribute ' `Unary Reference Cell Editor Impl`'.
`EClass` `getUnaryReferenceCellEditor()` Returns the meta object for class ' `Unary Reference Cell Editor`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final ModelCellEditorPackage eINSTANCE

The singleton instance of the package.

Generated:

#### MODEL_CELL_EDITOR_DECLARATIONS

    static final int MODEL_CELL_EDITOR_DECLARATIONS

The meta object id for the ' `Declarations`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorDeclarationsImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getModelCellEditorDeclarations()`, Constant Field Values
Generated:

#### MODEL_CELL_EDITOR_DECLARATIONS__MODEL_CELL_EDITORS

    static final int MODEL_CELL_EDITOR_DECLARATIONS__MODEL_CELL_EDITORS

The feature id for the 'Model Cell Editors' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### MODEL_CELL_EDITOR_DECLARATIONS_FEATURE_COUNT

    static final int MODEL_CELL_EDITOR_DECLARATIONS_FEATURE_COUNT

The number of structural features of the 'Declarations' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ABSTRACT_MODEL_CELL_EDITOR

    static final int ABSTRACT_MODEL_CELL_EDITOR

The meta object id for the ' `Abstract Model Cell Editor`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.AbstractModelCellEditorImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getAbstractModelCellEditor()`, Constant Field Values
Generated:

#### ABSTRACT_MODEL_CELL_EDITOR__CELL_TYPE

    static final int ABSTRACT_MODEL_CELL_EDITOR__CELL_TYPE

The feature id for the 'Cell Type' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ABSTRACT_MODEL_CELL_EDITOR__CELL_ID

    static final int ABSTRACT_MODEL_CELL_EDITOR__CELL_ID

The feature id for the 'Cell Id' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ABSTRACT_MODEL_CELL_EDITOR_FEATURE_COUNT

    static final int ABSTRACT_MODEL_CELL_EDITOR_FEATURE_COUNT

The number of structural features of the ' Abstract Model Cell Editor' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### BASIC_CELL_EDITOR

    static final int BASIC_CELL_EDITOR

The meta object id for the ' `Basic Cell Editor`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.BasicCellEditorImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getBasicCellEditor()`, Constant Field Values
Generated:

#### BASIC_CELL_EDITOR__CELL_TYPE

    static final int BASIC_CELL_EDITOR__CELL_TYPE

The feature id for the 'Cell Type' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### BASIC_CELL_EDITOR__CELL_ID

    static final int BASIC_CELL_EDITOR__CELL_ID

The feature id for the 'Cell Id' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### BASIC_CELL_EDITOR__BASIC_CELL_EDITOR_IMPL

    static final int BASIC_CELL_EDITOR__BASIC_CELL_EDITOR_IMPL

The feature id for the 'Basic Cell Editor Impl' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### BASIC_CELL_EDITOR_FEATURE_COUNT

    static final int BASIC_CELL_EDITOR_FEATURE_COUNT

The number of structural features of the 'Basic Cell Editor' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### UNARY_REFERENCE_CELL_EDITOR

    static final int UNARY_REFERENCE_CELL_EDITOR

The meta object id for the ' `Unary Reference Cell Editor`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.UnaryReferenceCellEditorImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getUnaryReferenceCellEditor()`, Constant Field Values
Generated:

#### UNARY_REFERENCE_CELL_EDITOR__CELL_TYPE

    static final int UNARY_REFERENCE_CELL_EDITOR__CELL_TYPE

The feature id for the 'Cell Type' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### UNARY_REFERENCE_CELL_EDITOR__CELL_ID

    static final int UNARY_REFERENCE_CELL_EDITOR__CELL_ID

The feature id for the 'Cell Id' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### UNARY_REFERENCE_CELL_EDITOR__UNARY_REFERENCE_CELL_EDITOR_IMPL

    static final int UNARY_REFERENCE_CELL_EDITOR__UNARY_REFERENCE_CELL_EDITOR_IMPL

The feature id for the 'Unary Reference Cell Editor Impl' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### UNARY_REFERENCE_CELL_EDITOR_FEATURE_COUNT

    static final int UNARY_REFERENCE_CELL_EDITOR_FEATURE_COUNT

The number of structural features of the ' Unary Reference Cell Editor' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NARY_FEATURE_CELL_EDITOR

    static final int NARY_FEATURE_CELL_EDITOR

The meta object id for the ' `Nary Feature Cell Editor`' class.

See Also:
  `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.NaryFeatureCellEditorImpl`, `org.eclipse.emf.facet.widgets.celleditors.modelCellEditor.impl.ModelCellEditorPackageImpl#getNaryFeatureCellEditor()`, Constant Field Values
Generated:

#### NARY_FEATURE_CELL_EDITOR__CELL_TYPE

    static final int NARY_FEATURE_CELL_EDITOR__CELL_TYPE

The feature id for the 'Cell Type' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NARY_FEATURE_CELL_EDITOR__CELL_ID

    static final int NARY_FEATURE_CELL_EDITOR__CELL_ID

The feature id for the 'Cell Id' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NARY_FEATURE_CELL_EDITOR__NARY_FEATURE_CELL_EDITOR_IMPL

    static final int NARY_FEATURE_CELL_EDITOR__NARY_FEATURE_CELL_EDITOR_IMPL

The feature id for the 'Nary Feature Cell Editor Impl' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NARY_FEATURE_CELL_EDITOR_FEATURE_COUNT

    static final int NARY_FEATURE_CELL_EDITOR_FEATURE_COUNT

The number of structural features of the ' Nary Feature Cell Editor' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getModelCellEditorDeclarations

    EClass getModelCellEditorDeclarations()

Returns the meta object for class ' `Declarations`'.

Returns:
  the meta object for class 'Declarations'.
See Also:
  `ModelCellEditorDeclarations`
Generated:

#### getModelCellEditorDeclarations_ModelCellEditors

    EReference getModelCellEditorDeclarations_ModelCellEditors()

Returns the meta object for the containment reference list ' `Model Cell Editors`'.

Returns:
  the meta object for the containment reference list ' Model Cell Editors'.
See Also:
  `ModelCellEditorDeclarations.getModelCellEditors()`, `getModelCellEditorDeclarations()`
Generated:

#### getAbstractModelCellEditor

    EClass getAbstractModelCellEditor()

Returns the meta object for class ' `Abstract Model Cell Editor`'.

Returns:
  the meta object for class 'Abstract Model Cell Editor'.
See Also:
  `AbstractModelCellEditor`
Generated:

#### getAbstractModelCellEditor_CellType

    EReference getAbstractModelCellEditor_CellType()

Returns the meta object for the reference ' `Cell Type`'.

Returns:
  the meta object for the reference 'Cell Type'.
See Also:
  `AbstractModelCellEditor.getCellType()`, `getAbstractModelCellEditor()`
Generated:

#### getAbstractModelCellEditor_CellId

    EAttribute getAbstractModelCellEditor_CellId()

Returns the meta object for the attribute ' `Cell Id`'.

Returns:
  the meta object for the attribute 'Cell Id'.
See Also:
  `AbstractModelCellEditor.getCellId()`, `getAbstractModelCellEditor()`
Generated:

#### getBasicCellEditor

    EClass getBasicCellEditor()

Returns the meta object for class ' `Basic Cell Editor`'.

Returns:
  the meta object for class 'Basic Cell Editor'.
See Also:
  `BasicCellEditor`
Generated:

#### getBasicCellEditor_BasicCellEditorImpl

    EAttribute getBasicCellEditor_BasicCellEditorImpl()

Returns the meta object for the attribute ' `Basic Cell Editor Impl`'.

Returns:
  the meta object for the attribute ' Basic Cell Editor Impl'.
See Also:
  `BasicCellEditor.getBasicCellEditorImpl()`, `getBasicCellEditor()`
Generated:

#### getUnaryReferenceCellEditor

    EClass getUnaryReferenceCellEditor()

Returns the meta object for class ' `Unary Reference Cell Editor`'.

Returns:
  the meta object for class 'Unary Reference Cell Editor'.
See Also:
  `UnaryReferenceCellEditor`
Generated:

#### getUnaryReferenceCellEditor_UnaryReferenceCellEditorImpl

    EAttribute getUnaryReferenceCellEditor_UnaryReferenceCellEditorImpl()

Returns the meta object for the attribute ' `Unary Reference Cell Editor Impl`'.

Returns:
  the meta object for the attribute ' Unary Reference Cell Editor Impl'.
See Also:
  `UnaryReferenceCellEditor.getUnaryReferenceCellEditorImpl()`, `getUnaryReferenceCellEditor()`
Generated:

#### getNaryFeatureCellEditor

    EClass getNaryFeatureCellEditor()

Returns the meta object for class ' `Nary Feature Cell Editor`'.

Returns:
  the meta object for class 'Nary Feature Cell Editor'.
See Also:
  `NaryFeatureCellEditor`
Generated:

#### getNaryFeatureCellEditor_NaryFeatureCellEditorImpl

    EAttribute getNaryFeatureCellEditor_NaryFeatureCellEditorImpl()

Returns the meta object for the attribute ' `Nary Feature Cell Editor Impl`'.

Returns:
  the meta object for the attribute ' Nary Feature Cell Editor Impl'.
See Also:
  `NaryFeatureCellEditor.getNaryFeatureCellEditorImpl()`, `getNaryFeatureCellEditor()`
Generated:

#### getModelCellEditorFactory

    ModelCellEditorFactory getModelCellEditorFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: